Skip to main content
GET
/
lkbx
/
session
/
current
Get active lock session
curl --request GET \
  --url https://dashboard.researchanddesire.com/api/v1/lkbx/session/current \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "id": 7,
    "lockState": "locked",
    "duration": 172800,
    "startDate": "2026-02-16T18:00:00Z",
    "isActive": true,
    "LockSegment": [
      {
        "type": "start",
        "createdAt": "2026-02-16T18:00:00Z",
        "isLocked": true
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.researchanddesire.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API tokens can be created in the Dashboard settings. Requires an Ultra subscription.

Response

Active lock session or null

ok
boolean
required
data
object
required